# Map here should be same as what is defined in the schema for CAPV carvel package
# https://gitlab.eng.vmware.com/core-build/tkg-supervisor-service-package/-/blob/main/packages/cluster-api-provider-vsphere/bundle/config/values.yaml

load("@ytt:data", "data")
load("nw_value_generator.star", "get_network_provider")
load("podvm_value_generator.star", "is_podvm_supported")
load("single_replica_generator.star", "get_max_replica_count")

def get_capv_values():
    return {
        "namespace": data.values.namespace,
        "network_provider": get_network_provider(),
        "podvm_supported": is_podvm_supported(),
        "stretched_supervisor": data.values.stretchedSupervisor,
        "max_replica_count": get_max_replica_count(),
    }
end
