# Map here should be same as what is defined in the schema for GCC carvel package
# https://gitlab.eng.vmware.com/core-build/guest-cluster-controller/-/blob/master/config/carvel-config/schema-values.yaml

load("@ytt:data", "data")
load("nw_value_generator.star", "get_network_provider")
load("podvm_value_generator.star", "is_podvm_supported")
load("capabilities_value_generator.star", "is_podvm_on_stretched_supervisor_supported", "is_multiplecl_for_tkg_supported")

def get_gcc_values():
    return {
        "namespace": data.values.namespace,
        "kappGlobalNamespace": data.values.kappGlobalNamespace,
        "tmc_namespace_value": data.values.tmcNamespace,
        "network_provider": get_network_provider(),
        "vc_public_keys": data.values.vcPublicKeys,
        "podvm_supported": is_podvm_supported(),
        "stretched_supervisor": data.values.stretchedSupervisor,
        "podvmonstretchedsupervisor_supported": is_podvm_on_stretched_supervisor_supported(),
        "multiplecl_for_tkg_supported": is_multiplecl_for_tkg_supported(),
        "cpvm_size": data.values.cpVMSize,
        "sso_domain": data.values.ssoDomain,
        "control_plane_count": data.values.controlPlaneCount
    }
end
